<?php
require_once "header.php";
?>

    <div class="mt-4 mb-4">
        <h1 class="display-4">Ajouter un administrateur</h1>
    </div>

<?php if (isset($admin) && !$has_error) { ?>
    <div class="alert alert-success">
        Organisateur ajouté avec succès ! Ses identifiants ont été transmis par mail.
    </div>
<?php } ?>

<form method="POST">
    <div class="form-row">
        <div class="form-group col-md-6">
            <label for="surname">Nom :</label>
            <input class="form-control" type="text" id="surname" name="surname"
                   value="<?php if (isset($admin)) echo $admin->surname ?>" required/>
        </div>

        <div class="form-group col-md-6">
            <label for="first_name">Prénom :</label>
            <input class="form-control" type="text" id="first_name" name="first_name"
                   value="<?php if (isset($admin)) echo $admin->first_name ?>" required/>
        </div>
    </div>

    <div class="form-row">
        <div class="form-group col-md-12">
            <label for="email">E-mail :</label>
            <input class="form-control" type="email" id="email" name="email"
                   value="<?php if (isset($admin)) echo $admin->email ?>" required/>
        </div>
    </div>

    <div class="form-group row">
        <input class="btn btn-primary btn-lg btn-block" name="add_admin" type="submit" value="Ajouter un administrateur" />
    </div>
</form>

<?php require_once "footer.php" ?>
